#ifndef DRV_RTC_H_
#define DRV_RTC_H_

#ifdef __cplusplus
extern "C" {
#endif 

#include "kit_macro.h"

bool drv_rtc_init(void);
bool drv_rtc_set_tick(uint32_t tick);
bool drv_rtc_set_time(uint8_t hour, uint8_t min, uint8_t sec);
bool drv_rtc_set_date(uint16_t year, uint8_t month, uint8_t day);
bool drv_rtc_get_date(int32_t *year, int32_t *month, int32_t *day);
bool drv_rtc_get_time(int32_t *hour, int32_t *min, int32_t *sec);
bool drv_rtc_set_ms(uint16_t ms);

uint16_t drv_rtc_get_ms(void);
uint32_t drv_rtc_get_tick(void);

// 获取当前时间
void drv_get_date_time(uint16_t *year, uint8_t *month, uint8_t *date,uint8_t *hour, uint8_t *min, uint8_t *sec);
// 设置日期时间：year = 2000~2099
void drv_set_date_time(uint16_t year, uint8_t month, uint8_t date,uint8_t hour, uint8_t min, uint8_t sec);

#ifdef __cplusplus
}
#endif

#endif

